Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(315)

Unified Diff: tools/install_dependencies.sh

Issue 2303733003: Add some required packages to tools/install_dependencies.sh (Closed)
Patch Set: Created 4 years, 3 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tools/install_dependencies.sh
diff --git a/tools/install_dependencies.sh b/tools/install_dependencies.sh
index 037b8940bd0609f2c5fcff8f4c5c6eeabb8ba087..fd5c3669d0c30da168f1b896e2fe9a1e39afc2c8 100755
--- a/tools/install_dependencies.sh
+++ b/tools/install_dependencies.sh
@@ -26,24 +26,26 @@ if command -v lsb_release > /dev/null ; then
Ubuntu)
PACKAGES=$(cat<<-EOF
build-essential
- libfreetype6-dev
+ freeglut3-dev
libfontconfig-dev
- libpng12-dev
+ libfreetype6-dev
libgif-dev
+ libglu1-mesa-dev
+ libosmesa6-dev
+ libpng12-dev
libqt4-dev
EOF
)
if [ $(lsb_release -r -s) = '14.04' ] ; then
PACKAGES="${PACKAGES} ninja-build"
- fi
- if ! dpkg_all_installed $PACKAGES; then
- sudo apt-get install $PACKAGES
- fi
- exit
- ;;
+ fi
+ if ! dpkg_all_installed $PACKAGES; then
+ sudo apt-get install $PACKAGES
+ fi
+ exit
+ ;;
esac
fi
echo 'unknown system'
exit 1
-
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698